Package uk.ac.starlink.vo

## Class SkyDalTableLoadDialog

- java.lang.Object
- - uk.ac.starlink.table.gui.AbstractTableLoadDialog
  - - uk.ac.starlink.vo.RegistryServiceTableLoadDialog
    - - uk.ac.starlink.vo.DalTableLoadDialog
      - - uk.ac.starlink.vo.SkyDalTableLoadDialog

- All Implemented Interfaces:
    `DalLoader`
  Direct Known Subclasses:
    `ConeSearchDialog`, `SiapTableLoadDialog`, `SsapTableLoadDialog`

      public abstract class SkyDalTableLoadDialog
      extends DalTableLoadDialog
      implements DalLoader

  Table load dialogue for positional DAL queries.
  Since:
    17 Jan 2011
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SkyDalTableLoadDialog​(java.lang.String name, java.lang.String protoName, java.lang.String description, Capability capability, boolean showCapabilities, boolean autoQuery)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptSkyPosition​(double raDegrees, double decDegrees)` | Takes a sky position and may update this component's sky entry fields with the supplied values.
    `protected java.awt.Component` | `createQueryComponent​()` |
    `java.lang.String` | `getQuerySummary​(java.lang.String serviceUrl, double sizeDeg)` | Returns a short string summarising the current query.
    `SkyPositionEntry` | `getSkyEntry​()` | Returns the SkyPositionEntry component used by this dialog.

    - ### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

      `asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

    - ### Methods inherited from interface uk.ac.starlink.vo.DalLoader

      `acceptResourceIdList, getMenus, getRegistryPanel, setMenus`

    - ### Methods inherited from class uk.ac.starlink.vo.DalTableLoadDialog

      `checkUrl, getCapabilities, getMetadata, getResourceMetadata, getServiceUrl, getServiceUrlField, isReady, setServiceUrl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.vo.RegistryServiceTableLoadDialog

      `acceptResourceIdList, getControlBox, getQueryFactory, getRegistryMenuItems, getRegistryPanel`

    - ### Methods inherited from interface uk.ac.starlink.table.gui.TableLoadDialog

      `createTableLoader`

- - ### Constructor Detail

    - #### SkyDalTableLoadDialog

          protected SkyDalTableLoadDialog​(java.lang.String name,
                                          java.lang.String protoName,
                                          java.lang.String description,
                                          Capability capability,
                                          boolean showCapabilities,
                                          boolean autoQuery)

      Constructor.
      Parameters:
        `name` - dialogue name
        `protoName` - short name (perhaps acronym) for protocol
        `description` - dialogue description
        `capability` - service capability type
        `showCapabilities` - true to display the capabilities JTable as well as the Resource one; sensible if resource:capabilities relationship may not be 1:1
        `autoQuery` - populate service table with full registry query on initial display

  - ### Method Detail

    - #### createQueryComponent

          protected java.awt.Component createQueryComponent​()

      Overrides:
        `createQueryComponent` in class `DalTableLoadDialog`

    - #### acceptSkyPosition

          public boolean acceptSkyPosition​(double raDegrees,
                                           double decDegrees)

      Takes a sky position and may update this component's sky entry fields with the supplied values.
      Parameters:
        `raDegrees` - right ascension in degrees
        `decDegrees` - declination in degrees
      Returns:
        true iff the position was used

    - #### getSkyEntry

          public SkyPositionEntry getSkyEntry​()

      Returns the SkyPositionEntry component used by this dialog.
      Returns:
        sky position entry

    - #### getQuerySummary

          public java.lang.String getQuerySummary​(java.lang.String serviceUrl,
                                                  double sizeDeg)

      Returns a short string summarising the current query.
      Parameters:
        `serviceUrl` - service URL for the query to be labelled - may or may not be that of the currently selected resource/capability
        `sizeDeg` - size in degrees of the spatial query to be labelled
      Returns:
        query label

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.